<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC

@author 		juan.agudelo
@modified 		pedro.garcia para recibir parámetros: managed bean y bandera para 
                mostrar selects de municipio y departamento
@modified		christian.rodriguez nuevas versiones desde el 2012
@version		2.0
@description	Registrar ofertas inmobiliarias CU-SA-AC-077
                modulo de información fisica
@cu 			CU-AV-O-01 CU-AV-O-02
@param 			managedBeanParam: 	nombre del managed bean
@param 			ofertaInmobiliariaParam: 	oferta inmobiliaria seleccionada
-->

<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:p="http://primefaces.org/ui" width="100%">

    <h:panelGrid columns="6" width="100%">
        <h:panelGroup>
            <h:outputLabel value="Departamento:" styleClass="outputLabelStyle" />
            <h:outputLabel value="* " styleClass="requiredLabelStyle" />
        </h:panelGroup>
        <h:panelGrid columns="2">
            <h:selectOneMenu id="departamentoOferta" label="Departamento"
                             value="#{managedBeanParam.selectedDepartamentoCod}" required="true">
                <f:selectItems value="#{managedBeanParam.departamentosItemList}" />
                <p:ajax process="@this"
                        update=":registroOfertaInmobiliariaFormId:municipioOferta, 
                        :registroOfertaInmobiliariaFormId:prediosOferta"
                        listener="#{managedBeanParam.onChangeDepartamentos}"
                        onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();" />
            </h:selectOneMenu>
            <p:message for="departamentoOferta" display="icon" />
        </h:panelGrid>

        <h:panelGroup>
            <h:outputLabel value="Municipio:" styleClass="outputLabelStyle" />
            <h:outputLabel value="* " styleClass="requiredLabelStyle" />
        </h:panelGroup>
        <h:panelGrid columns="2">
            <h:selectOneMenu id="municipioOferta" label="Municipio"
                             value="#{managedBeanParam.selectedMunicipioCod}" required="true">
                <f:selectItems value="#{managedBeanParam.municipiosItemList}" />
                <p:ajax process="@this" />
            </h:selectOneMenu>
            <p:message for="municipioOferta" display="icon" />
        </h:panelGrid>

        <h:outputLabel value="Número predial: " styleClass="outputLabelStyle" />

        <h:panelGrid columns="2">
            <h:inputText id="numeroPredialIT"
                         value="#{managedBeanParam.currentNumeroPredial}" maxlength="30"
                         style="width:220px;">
                <p:ajax process="@this" immediate="true" />
            </h:inputText>
        </h:panelGrid>
    </h:panelGrid>

    <h:panelGrid columns="2" cellspacing="8">
        <p:commandButton value="Adicionar Predio" icon="ui-icon-plus"
                         id="adicionarPredio" onstart="statusDialog2.show();"
                         oncomplete="statusDialog2.hide();"
                         action="#{managedBeanParam.adicionarPredioAOferta}" immediate="true"
                         update=":registroOfertaInmobiliariaFormId" title="Adicionar predio" />
        <p:commandButton value="Buscar predio" icon="ui-icon-search"
                         immediate="true"
                         action="#{managedBeanParam.cargarPrediosRegionCaptura}"
                         update=":seleccionPrediosOfertasForm" onstart="statusDialog2.show();"
                         oncomplete="statusDialog2.hide(); consultaPrediosOfertasWV.show();"
                         rendered="#{!managedBeanParam.banderaPerteneceACatastroDescentralizado and
                                     !managedBeanParam.activarComponenteBusquedaGeneral}" />
        <p:commandButton value="Buscar predio" icon="ui-icon-search"
                         action="#{managedBeanParam.preCargarDatosConsulta}"
                         onstart="statusDialog2.show();"
                         oncomplete="statusDialog2.hide(); 
                         handleCompleteSIC(xhr, status, args, consultaPrediosDlgWV, true);"
                         process="@this, 
                         :registroOfertaInmobiliariaFormId:departamentoOferta,
                         :registroOfertaInmobiliariaFormId:municipioOferta"
                         update=":registroOfertaInmobiliariaFormId:msgInfoFisicaOferta,
                         :cpCC:consultaPredioForm:consultaPredioDepartamento,
                         :cpCC:consultaPredioForm:consultaPredioMunicipio,
                         :cpCC:consultaPredioForm:s1,
                         :cpCC:consultaPredioForm:s2"
                         rendered="#{!managedBeanParam.banderaPerteneceACatastroDescentralizado and
                                     managedBeanParam.activarComponenteBusquedaGeneral}">
            <f:setPropertyActionListener value="1"
                                         target="#{consultaPredio.listenerMethodIdentifier}" />
        </p:commandButton>
    </h:panelGrid>
    <p:dataTable id="prediosOferta" var="predio"
                 value="#{ofertaInmobiliariaParam.ofertaPredios}"
                 emptyMessage="No se han agregado predios a la oferta.">
        <p:column headerText="Opciones">

            <p:commandButton title="Eliminar" id="eliminarPredioBtn"
                             action="#{managedBeanParam.eliminarPredioDeOferta}"
                             onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();"
                             update=":registroOfertaInmobiliariaFormId" icon="ui-icon-trash"
                             immediate="true" ajax="true">
                <f:setPropertyActionListener value="#{predio.numeroPredial}"
                                             target="#{managedBeanParam.currentNumeroPredial}" />
            </p:commandButton>
        </p:column>
        <p:column headerText="Departamento">
            <h:outputText id="departamentoOferta"
                          value="#{managedBeanParam.selectedDepartamentoNom}" />
        </p:column>
        <p:column headerText="Municipio">
            <h:outputText id="municipioOferta"
                          value="#{managedBeanParam.selectedMunicipioNom}" />
        </p:column>
        <p:column headerText="Número Predial">
            <h:outputText id="numeroPredialOferta"
                          value="#{predio.numeroPredial}" />
        </p:column>
    </p:dataTable>

    <p:separator />
    <h:panelGrid columns="6" cellspacing="8"
                 columnClasses="colMediana, colPequena, colMediana, colPequena, colMediana, colPequena">

        <h:panelGroup>
            <h:outputLabel value="Tipo de predio:" styleClass="outputLabelStyle" />
            <h:outputLabel value="* " styleClass="requiredLabelStyle" />
        </h:panelGroup>
        <h:panelGrid columns="2" cellspacing="0">
            <h:selectOneMenu id="tipoPredio" label="Tipo de predio"
                             value="#{ofertaInmobiliariaParam.tipoPredio}" required="true">
                <f:selectItem itemLabel="Seleccionar..." />
                <f:selectItems value="#{general.ofertaTipoPredioV}" />
                <p:ajax event="blur"
                        update=":registroOfertaInmobiliariaFormId:estratoPanel,
                        :registroOfertaInmobiliariaFormId:estratoCampo" />
            </h:selectOneMenu>
            <p:message for="tipoPredio" display="icon" />
        </h:panelGrid>

        <h:outputLabel value="Sector: " styleClass="outputLabelStyle" />
        <h:inputText id="sector" value="#{ofertaInmobiliariaParam.sector}"
                     maxlength="30" />

        <h:outputLabel value="Barrio / vereda: " styleClass="outputLabelStyle" />
        <h:inputText id="barrioVereda"
                     value="#{ofertaInmobiliariaParam.nombreBarrio}" maxlength="30" />

        <h:outputLabel value="Ubicación en manzana:"
                       styleClass="outputLabelStyle" />
        <h:selectOneMenu id="ubicacionManzana" label="Ubicación en manzana"
                         value="#{ofertaInmobiliariaParam.ubicacionManzana}">
            <f:selectItem itemLabel="Seleccionar..." />
            <f:selectItems value="#{general.ofertaUbicacionManzanaV}" />
        </h:selectOneMenu>

        <h:outputLabel value="Dirección: " styleClass="outputLabelStyle" />
        <h:inputText id="direccionPredioIT" style="width:180px;"
                     value="#{ofertaInmobiliariaParam.direccion}" maxlength="30" />

        <h:panelGroup>
            <h:outputLabel value="Condición jurídica: "
                           styleClass="outputLabelStyle" />
            <h:outputLabel value="* " styleClass="requiredLabelStyle" />
        </h:panelGroup>
        <h:panelGrid columns="2" cellspacing="0">
            <h:selectOneMenu id="condicionJuridica" label="Condición jurídica"
                             value="#{ofertaInmobiliariaParam.condicionJuridica}" required="true">
                <f:selectItem itemLabel="Seleccionar..." />
                <f:selectItems value="#{general.ofertaCondicionJuridicaD}" />
                <p:ajax
                    update=":registroOfertaInmobiliariaFormId:informacionEconomicaId,
                    :registroOfertaInmobiliariaFormId:propiedadHorizontal,
                    :registroOfertaInmobiliariaFormId:tipoProyectosId,
                    :registroOfertaInmobiliariaFormId:tipoInmuebleId"
                    listener="#{managedBeanParam.cambioCondicionJuridica}"
                    onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();" />
            </h:selectOneMenu>
            <p:message for="condicionJuridica" display="icon" />
        </h:panelGrid>

        <h:panelGroup>
            <h:outputLabel value="Destino: " styleClass="outputLabelStyle" />
            <h:outputLabel value="* " styleClass="requiredLabelStyle" />
        </h:panelGroup>
        <h:panelGrid columns="2" cellspacing="0">
            <h:selectOneMenu id="destino" label="Destino"
                             value="#{ofertaInmobiliariaParam.destino}" required="true">
                <f:selectItem itemLabel="Seleccionar..." />
                <f:selectItems value="#{general.ofertaDestinoV}" />
                <p:ajax event="blur"
                        update=":registroOfertaInmobiliariaFormId:estratoPanel,
                        :registroOfertaInmobiliariaFormId:estratoCampo" />
            </h:selectOneMenu>
            <p:message for="destino" display="icon" />
        </h:panelGrid>

        <h:outputLabel value="Vetustez: " styleClass="outputLabelStyle"
                       rendered="#{!managedBeanParam.banderaOfertaNueva}" />
        <h:selectOneMenu id="vetustez" label="Vetustez"
                         value="#{ofertaInmobiliariaParam.vetustez}"
                         rendered="#{!managedBeanParam.banderaOfertaNueva}">
            <f:selectItem itemLabel="Seleccionar..." />
            <f:selectItems value="#{general.ofertaVetustezD}" />
        </h:selectOneMenu>

        <h:outputLabel value="Área total terreno (catastral) (m2):"
                       for="areaTotalTerrenoTI" styleClass="outputLabelStyle"
                       rendered="#{managedBeanParam.banderaOfertaNueva}" />
        <h:outputText id="areaTotalTerrenoTI"
                      value="#{ofertaInmobiliariaParam.areaTotalTerrenoCatastral}"
                      rendered="#{managedBeanParam.banderaOfertaNueva}" />

        <h:outputLabel value="Área total construida (catastral) (m2):"
                       for="areaTotalConstruidaTI" styleClass="outputLabelStyle"
                       rendered="#{managedBeanParam.banderaOfertaNueva}" />
        <h:outputText id="areaTotalConstruidaTI"
                      value="#{ofertaInmobiliariaParam.areaTotalConstruccionCata}"
                      rendered="#{managedBeanParam.banderaOfertaNueva}" />

        <p:outputPanel id="estratoPanel">
            <h:panelGroup rendered="#{managedBeanParam.activarEstrato}">
                <h:outputLabel value="Estrato: " styleClass="outputLabelStyle" />
                <h:outputLabel value="* " styleClass="requiredLabelStyle" />
            </h:panelGroup>
        </p:outputPanel>
        <p:outputPanel id="estratoCampo">
            <h:panelGrid columns="2" cellspacing="0"
                         rendered="#{managedBeanParam.activarEstrato}">
                <h:selectOneMenu id="estrato" label="Estrato" required="true"
                                 value="#{ofertaInmobiliariaParam.estratoSocioeconomico}">
                    <f:selectItem itemLabel="Seleccionar..." />
                    <f:selectItems value="#{general.ofertaEstratoSocioecoCV}" />
                </h:selectOneMenu>
                <p:message for="estrato" display="icon" />
            </h:panelGrid>
        </p:outputPanel>
    </h:panelGrid>
</h:panelGrid>
